## org.eclipse.emf.cdo.server.hibernate.id
Interface CDOIDHibernate

All Superinterfaces:
  CDOID, CDOIDObject, java.lang.Comparable<CDOID>, java.io.Serializable

    public interface CDOIDHibernate

extends CDOIDObject

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`CDOID.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`NULL`

Method Summary
`java.lang.String` `getEntityName()`
`java.io.Serializable` `getId()`
`void` `setEntityName(java.lang.String entityName)`
`void` `setId(java.io.Serializable id)`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`getType, isExternal, isMeta, isNull, isObject, isTemporary, toURIFragment`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getId

    java.io.Serializable getId()

### setId

    void setId(java.io.Serializable id)

### getEntityName

    java.lang.String getEntityName()

### setEntityName

    void setEntityName(java.lang.String entityName)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.